---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Organization Types
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>URI

Collection of Organization Types:

```
/organizationTypes
```

<a id="refsyn_N1002F_N10016_N10001"></a>
Individual Organization Type:

```
/organizationTypes/{id}
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>A reference to an Organization Type. Example: Organization Type WID.</td></tr></tbody></table><br/>

## <a id="section_N10061_N10016_N10001"></a>Description

The Organization Types resource represents the organization types in Workday. You can only view the Organization Types information permitted by the security profile of the current user.

Organization Types supports this method:

-   [GET Organization Types](/wcp_docs/jas1400705341503.html#GET)


## <a id="GET"></a>GET Organization Types

-   <b>Secured by:</b>

    Reports: Organization



No request body required or available for this method. When retrieving a collection, use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Max</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response.</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100FB_N10016_N10001"></a>GET Organization Types Examples

This GET request retrieves all the Organization Types available to the current user:

```
GET /organizationTypes
```

The response is a collection of Organization Types, in JSON format (only 1 Organization Type in the response is shown):

```
{
   "total": 41,
   "data":    [
            {
         "descriptor": "Academic Unit",
         "id": "dcda13dfb0e44cddbd5696278872ddc7"
      },
    ...
  ]
}
 
```

This request retrieves information about the Organization Type whose ID is dcda13dfb0e44cddbd5696278872ddc7:

```
GET /organizationTypes/dcda13dfb0e44cddbd5696278872ddc7
```

The response body:

```
{
   "descriptor": "Academic Unit",
   "id": "dcda13dfb0e44cddbd5696278872ddc7"
}       
```

